

function AsteriskAJAM()
{
	this.hostname = "pabx";
	this.port = "8088";
	this.baseurl = "http://"+this.hostname+":"+this.port+"/asterisk/mxml";

	this.open = function (hostname, port)
	{
		this.hostname = hostname;
		this.port = port;
		this.baseurl = "http://"+this.hostname+":"+this.port+"/asterisk/mxml";
	}

	this.close = function (hostname, port)
	{
	}

	this.login = function (username, password, onReady)
	{
		var url_login = this.baseurl +
			"?action=Login" +
			"&Username=" + username +
			"&Secret=" + password ;
		this.action(url_login, onReady);
	}

	this.logoff = function (onReady)
	{
		var url_logoff = this.baseurl +
			"?action=Logoff";
		this.action(url_logoff, onReady);
	}

	this.originate = function (channel, phonenumber, context, onReady)
	{
		var url_originate = this.baseurl +
			"?action=originate" +
			"&channel=" + channel +
			"&exten=" + phonenumber +
			"&context=" + context +
			"&CallerId=" + phonenumber +
			"&priority=1" +
			"&codecs=alaw" +
			"&timeout=5000" ;
		this.action(url_originate, onReady);
	}


	this.action = function(url, onReady)
	{
		var xmlReq = Components.classes["@mozilla.org/xmlextras/xmlhttprequest;1"].createInstance();
		xmlReq.open("GET", url, true, null, null);
		xmlReq.onreadystatechange = function ()
		{
			if (xmlReq.readyState == 4)
			{
				if((xmlReq.status == 200) && (onReady!=null))
					onReady();
			}
		};  
		xmlReq.send("");
/*		switch( xmlReq.status )
		{
			case 200 :
				break ;
			case 400 :
				alert("400 Bad Request") ;
				break;
			case 401 :
				alert("401 Unauthorized") ;
				break ;
			case 403 :
				talert("403 Wrong Client Version") ;
				break ;
			case 404 :
				alert("404 Not Found") ;
				break ;
			case 500 :
				alert("500 Internal Server Error") ;
				break ;
			default:
				alert( "Bad Status", "") ;
				break;
		}*/
	
		/*
		var response ;
		try
		{
			response = this._httpRequest.responseXML;
		}
		catch(e)
		{
			alert("Cannot get response") ;
		}
		alert(response);*/
	}
}


